View Issue Details

IDProjectCategoryView StatusLast Update
0000510FreeCADFeaturepublic2012-03-13 13:44
ReporteryorikAssigned Toyorik 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version0.13Fixed in Version0.13 
Summary0000510: Arch module - Axes system
DescriptionA tool that allows to create and maintain a system of axes, on which to align structural elements.

Needed features:

- A 3-dimensions cubic system (for axes in X, Y and Z directions)
- A creation tool, that allows to set the number of axes and intervals
- Each axis must have distance and angle parameters, so you can change the distance and/or angle of each individual axis
- A modification interface to easily change those parameters
- Allow snapping to nodes and axes
- A couple of methods to return all nodes that satisfy certain criteria (to be used by arch elements)
- Different representation modes (to be investigated)
- Different modes of SVG output
TagsNo tags attached.

Activities

yorik

2012-01-10 19:34

administrator   ~0001554

Almost done, still needed:

- further naming schemes for levels (L0,L1,L2)
- different draw styles
- svg output
- a way to attach Arch components to nodes

yorik

2012-02-05 16:40

administrator   ~0001610

Only one thing missing:

- svg output

But there is still no proper way to put Arch stuff on a sheet, so...

yorik

2012-03-13 13:44

administrator   ~0001761

Finished in 2a23bd1 - Axes are printable with the Draft Drawing tool

Issue History

Date Modified Username Field Change
2011-12-05 12:32 yorik New Issue
2011-12-05 12:32 yorik Status new => assigned
2011-12-05 12:32 yorik Assigned To => yorik
2012-01-10 19:34 yorik Note Added: 0001554
2012-02-05 16:40 yorik Note Added: 0001610
2012-03-13 13:44 yorik Note Added: 0001761
2012-03-13 13:44 yorik Status assigned => closed
2012-03-13 13:44 yorik Resolution open => fixed
2012-03-13 13:44 yorik Fixed in Version => 0.13